#!/bin/sh

# Copyright (C) since 2006 NTT DATA Corporation
# 
# This program is free software; you can redistribute it and/or
# Modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation, version 2.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details

# bash configuration
RM_PROC="/bin/rm -rf"
SU_PROC="/bin/su - -c"


##
## Argument setting
##
while [ $# -gt 0 ]
do
  #echo $1
  case $1 in
    -u)
      shift
      user="$1"
      ;;
    *)
      # directory name
      if [ ${#user} -eq 0 ] ; then
        dirname=$1
      else
        dirname="$dirname $1"
      fi
      ;;
  esac

  shift

done

##
## Check on user-name
##
if [ ${#user} -eq 0 ] ; then
    echo 'The user is not specified.' 1>&2
    exit 11
fi


##
## mkdir command
##
echo "$RM_PROC $dirname"
$SU_PROC "$RM_PROC $dirname" $user
if [ $? -ne 0 ] ; then
    exit 10
fi

exit

